Subject: Re: linux-next: build warning after merge of the usb tree

From: Maxim Devaev <[email-masked]>
Date: Sat, 23 Jul 2022 10:44:28 +0300

В Sat, 23 Jul 2022 09:26:31 +0200
Greg KH <[email-masked]> wrote:

> On Sat, Jul 23, 2022 at 10:14:28AM +0300, Maxim Devaev wrote:
> > On Tue, 19 Jul 2022 13:24:18 +0200
> > Greg KH <[email-masked]> wrote:
> >   
> > > On Tue, Jul 19, 2022 at 01:25:59PM +0300, Maxim Devaev wrote:  
> > > > В Tue, 19 Jul 2022 19:43:37 +1000
> > > > Stephen Rothwell <[email-masked]> wrote:
> > > >     
> > > > > Hi all,
> > > > > 
> > > > > After merging the usb tree, today's linux-next build (htmldocs) produced
> > > > > this warning:
> > > > > 
> > > > > Documentation/ABI/testing/configfs-usb-gadget-mass-storage:17: WARNING: Malformed table.
> > > > > Text in column margin in table line 14.
> > > > > 
> > > > > ===========     ==============================================
> > > > > file            The path to the backing file for the LUN.
> > > > >                 Required if LUN is not marked as removable.
> > > > > ro              Flag specifying access to the LUN shall be
> > > > >                 read-only. This is implied if CD-ROM emulation
> > > > >                 is enabled as well as when it was impossible
> > > > >                 to open "filename" in R/W mode.
> > > > > removable       Flag specifying that LUN shall be indicated as
> > > > >                 being removable.
> > > > > cdrom           Flag specifying that LUN shall be reported as
> > > > >                 being a CD-ROM.
> > > > > nofua           Flag specifying that FUA flag
> > > > >                 in SCSI WRITE(10,12)
> > > > > forced_eject    This write-only file is useful only when
> > > > >                 the function is active. It causes the backing
> > > > >                 file to be forcibly detached from the LUN,
> > > > >                 regardless of whether the host has allowed it.
> > > > >                 Any non-zero number of bytes written will
> > > > >                 result in ejection.
> > > > > ===========     ==============================================
> > > > > 
> > > > > Introduced by commit
> > > > > 
> > > > >   421c8d9a20da ("usb: gadget: f_mass_storage: forced_eject attribute")
> > > > >     
> > > > 
> > > > Sorry. Should I send a patch?    
> > > 
> > > Yes please.  
> > 
> > JFYI the patch has been sent to linux-docs@, etc. I forgot to add you to CC.  
> 
> Then I'll not be able to take it into my tree to fix this up :(

Ooops. Okay, I've sent it as with v2 tag and added your linuxfoundation addr to CC.